Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class UIRichMessage

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIMessage
                  org.richfaces.component.AbstractMessage
                      org.richfaces.component.UIRichMessage

All Implemented Interfaces:
  java.util.EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, org.ajax4jsf.component.AjaxOutput

Direct Known Subclasses:
  HtmlMessage

    @Generated(value={"RichFaces CDK","4.1.0.20110910-M2"})
    public class UIRichMessage

extends AbstractMessage

Author:
  asmirnov@exadel.com

Nested Class Summary
`protected static class` | `UIRichMessage.Properties`

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Constructor Summary
`UIRichMessage()`

Method Summary
`java.lang.String` | `getFamily()`
`boolean` | `isAjaxRendered()`
`boolean` | `isKeepTransient()`
`void` | `setAjaxRendered(boolean ajaxRendered)`
`void` | `setKeepTransient(boolean keepTransient)`

Methods inherited from class javax.faces.component.UIMessage
`getFor, isRedisplay, isShowDetail, isShowSummary, setFor, setRedisplay, setShowDetail, setShowSummary`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### UIRichMessage

    public UIRichMessage()

Method Detail

### getFamily

    public java.lang.String getFamily()

  Overrides:
    `getFamily` in class `javax.faces.component.UIMessage`

### isAjaxRendered

    public boolean isAjaxRendered()

  Specified by:
    `isAjaxRendered` in interface `org.ajax4jsf.component.AjaxOutput`
  Specified by:
    `isAjaxRendered` in class `AbstractMessage`

### setAjaxRendered

    public void setAjaxRendered(boolean ajaxRendered)

### isKeepTransient

    public boolean isKeepTransient()

  Specified by:
    `isKeepTransient` in interface `org.ajax4jsf.component.AjaxOutput`
  Specified by:
    `isKeepTransient` in class `AbstractMessage`

### setKeepTransient

    public void setKeepTransient(boolean keepTransient)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.